Subject: Re: [bug#48484] Removed unused PostgreSQL packages

From: Christopher Baines <[email-masked]>
Date: Mon, 17 May 2021 23:36:28 +0100

Leo Famulari <[email-masked]> writes:

> Currently we have packages for PostgreSQL 9.6, 10, 11, and 13.
>
> Versions 9.6 and 11 are not used in Guix. So I propose that we remove
> them.

In terms of reasons to keep them, the PostgreSQL service configuration
for Guix pushes users to specify a specific postgresql package, so
removing particular versions could break users configuration.

While it is possible to upgrade, I'm not aware of any guidance about the
particulars with doing this for Guix, so I'd be hesitant to remove old
supported versions, until there's something to point at which users can
follow to upgrade.